Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.datasource
Class HeuristicException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.atomikos.icatch.SysException
                      com.atomikos.datasource.ResourceException
                          com.atomikos.datasource.HeuristicException

All Implemented Interfaces:
  Serializable

    public class HeuristicException

extends ResourceException

See Also:
  Serialized Form

Field Summary
`protected HeuristicMessage[]` | `myMsgs`

Constructor Summary
`HeuristicException(HeuristicMessage[] msgs)` Constructor.
`HeuristicException(String msg)` Constructor.

Method Summary
`HeuristicMessage[]` | `getHeuristicMessages()` Get any heuristic messages.

Methods inherited from class com.atomikos.datasource.ResourceException
`getDetails, printStackTrace`

Methods inherited from class com.atomikos.icatch.SysException
`getErrors, getStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myMsgs

    protected HeuristicMessage[] myMsgs

Constructor Detail

### HeuristicException

    public HeuristicException(String msg)

  Constructor.

### HeuristicException

    public HeuristicException(HeuristicMessage[] msgs)

  Constructor.

  Parameters:
    `msgs` - an array of heuristic messages, or null if none.

Method Detail

### getHeuristicMessages

    public HeuristicMessage[] getHeuristicMessages()

  Get any heuristic messages.

  Returns:
    HeuristicMessage[] A list of messages, or null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.